backend:
  name: gitea
  repo: bennolor/hugoblog # Path to your Gitea repository
  branch: master
  app_id: 10f0fe83-402c-4beb-b732-386fc394b4b5 # The Client ID provided by Gitea
  api_root: https://gitea.benno-lorenz.com/api/v1 # API URL of your Gitea instance
  base_url: https://gitea.benno-lorenz.com # Root URL of your Gitea instance
  auth_endpoint: https://gitea.benno-lorenz.com/login/oauth/authorize
media_folder: "static/images/uploads" # Media files will be stored here
public_folder: "/images/uploads" # The src attribute for uploaded media

collections:
  - name: "posts" # Used in routes, e.g., /admin/collections/blog
    label: "Blog Posts" # Used in the UI
    folder: "content/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    path: "{{year}}-{{month}}-{{day}}-{{title}}/index"
    media_folder: ""
    public_folder: ""
    slug: "index" # Filename template
    editor:
      preview: false 
    fields:
      - { label: "Layout", name: "layout", widget: "hidden", default: "post" }
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Summary", name: "summary", widget: "string", required: false }
      - { label: "Description", name: "description", widget: "string", required: false }
      - {
          label: "Authors",
          name: "authors",
          widget: "select",
          multiple: False,
          options: ["Benno Lorenz"],
        }
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Draft", name: "draft", widget: "boolean", default: true }

      - { label: "Cover Image", name: "image", widget: "prefixed-image", required : false }
      - { label: "Cover Style", name: "cover_style", widget: "select", options: ["basic", "big", "background", "thumbAndBackground"], default: "default" }
      
      

      - { label: "images", name: "images", widget: "image", multiple: true }
      - { label: "Body", name: "body", widget: "markdown" }
  
